# PetscFListGet

Gets an array the contains the entries in PetscFList, this is used by help etc.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscFListGet(PetscFList list,char ***array,int *n)

Collective over MPI_Comm

### Input Parameter

list -list of types

### Output Parameter

| array | - array of names
| n | - length of array

### Notes

This allocates the array so that must be freed. BUT the individual entries are not copied so should not be freed.

### See Also

PetscFListAddDynamic(), PetscFList

Level:developer
Location: src/sys/dll/reg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages